// UpRange:上区间, DailyRate:每日衰减, TotalRate:总衰减

export default class M_StarLotteryRateCFG {
  private static data =
      {"2":{"UpRange":2,"DailyRate":300,"TotalRate":300}

      ,"5":{"UpRange":5,"DailyRate":200,"TotalRate":200}

      ,"20":{"UpRange":20,"DailyRate":180,"TotalRate":150}

      ,"40":{"UpRange":40,"DailyRate":160,"TotalRate":120}

      ,"60":{"UpRange":60,"DailyRate":140,"TotalRate":140}

      ,"80":{"UpRange":80,"DailyRate":120,"TotalRate":120}

      ,"100":{"UpRange":100,"DailyRate":100,"TotalRate":100}

      ,"200":{"UpRange":200,"DailyRate":60,"TotalRate":60}

      ,"300":{"UpRange":300,"DailyRate":20,"TotalRate":20}

      ,"9999999":{"UpRange":9999999,"DailyRate":10,"TotalRate":10}

      }// UpRange:上区间, DailyRate:每日衰减, TotalRate:总衰减


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}